import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/ncjtEntranceGuard/getUserAdminPageList',
    method: 'get',
    params: query
  })
}

export function createAdmin(data) {
  return request({
    url: '/ncjtEntranceGuard/registerAdmin',
    method: 'post',
    data
  })
}

export function updateAdmin(data) {
  return request({
    url: '/vue-element-admin/article/update',
    method: 'post',
    data
  })
}

// export function fetchAdmin(id) {
//   return request({
//     url: '/vue-element-admin/article/detail',
//     method: 'get',
//     params: {
//       id
//     }
//   })
// }

// export function fetchPv(pv) {
//   return request({
//     url: '/vue-element-admin/article/pv',
//     method: 'get',
//     params: {
//       pv
//     }
//   })
// }
